Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkDataSetToStructuredGridFilter Class Reference

`#include <vtkDataSetToStructuredGridFilter.h>`

Inheritance diagram for vtkDataSetToStructuredGridFilter:

[legend]
Collaboration diagram for vtkDataSetToStructuredGridFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:43

Revision:
  1.29

vtkDataSetToStructuredGridFilter is an abstract filter class whose subclasses take as input any dataset and generate a structured grid on output.

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (74%)
  - Cedilnik, Andy (14%)
  - Lorensen, Bill (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkDataSetToStructuredGridFilter.cxx)`
  - .`h` (`/Filtering/vtkDataSetToStructuredGridFilter.h)`

Definition at line 46 of file vtkDataSetToStructuredGridFilter.h.

## Public Types
typedef vtkStructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkDataSet *input)
vtkDataSet * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkDataSetToStructuredGridFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkDataSetToStructuredGridFilter ()
| ~vtkDataSetToStructuredGridFilter ()

## Member Typedef Documentation

typedef vtkStructuredGridSource vtkDataSetToStructuredGridFilter::Superclass

| Reimplemented from vtkStructuredGridSource. Definition at line 49 of file vtkDataSetToStructuredGridFilter.h.

## Constructor & Destructor Documentation

vtkDataSetToStructuredGridFilter::vtkDataSetToStructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 59 of file vtkDataSetToStructuredGridFilter.h.

vtkDataSetToStructuredGridFilter::~vtkDataSetToStructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 60 of file vtkDataSetToStructuredGridFilter.h.

## Member Function Documentation

virtual const char* vtkDataSetToStructuredGridFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridSource.

int vtkDataSetToStructuredGridFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

virtual int vtkDataSetToStructuredGridFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource.

vtkDataSetToStructuredGridFilter* vtkDataSetToStructuredGridFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridSource.

void vtkDataSetToStructuredGridFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridSource.

virtual void vtkDataSetToStructuredGridFilter::SetInput | ( | vtkDataSet * | input | ) | `[virtual]`

| Set / get the input data or filter.

vtkDataSet* vtkDataSetToStructuredGridFilter::GetInput | ( |  | ) |

| Set / get the input data or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkDataSetToStructuredGridFilter.h